PTX(1)

NAZWA
ptx - tworzy indeks permutacyjny z zawartości pliku

SKŁADNIA
ptx [OPCJA]... [WEJŚCIE]...    (bez -G)
ptx -G [OPCJA]... [WEJŚCIE [WYJŚCIE]]

OPIS

Wypisuje indeks permutacyjny, obejmujący kontekst, ze słów z plików wejściowych.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-A, --auto-reference
    wyświetla automatycznie utworzone przypisy

-G, --traditional
    zachowuje się zgodnie z wersją ptx z System V

-F, --flag-truncation=ŁAŃCUCH
    używa ŁAŃCUCHA do oznaczania wyciętych wierszy

-M, --macro-name=ŁAŃCUCH
    nazwa makra używana zamiast xx

-O, --format=roff
    tworzy wyjście w postaci dyrektyw roff

-R, --right-side-refs
    umieszcza przypisy po prawej stronie, nie liczone w opcji -w

-S, --sentence-regexp=WYRAŻENIE-REGULARNE
    użycie podanego wyrażenia do określenia końców wierszy lub zdań

-T, --format=tex
    tworzy wyjście w postaci dyrektyw TeX-a

-W, --word-regexp=WYRAŻENIE-REGULARNE
    używa WYRAŻENIA-REGULARNEGO w celu dopasowania słów kluczowych

-b, --break-file=PLIK
    znaki rozdzielające słowa umieszczone są w PLIKU

-f, --ignore-case
    w sortowaniu traktuje małe litery jak wielkie

-g, --gap-size=LICZBA
    określa rozmiar odstępów pomiędzy polami w kolumnach

-i, --ignore-file=PLIK
    odczytuje listę ignorowanych słów z PLIKU

-o, --only-file=PLIK
    odczytuje tylko słowa z listy słów z PLIKU

-r, --references
    pierwsze pole w każdym wierszu jest przypisem

-t, --typeset-mode (nie zaimplementowane)

-w, --width=LICZBA
    szerokość wyjściowa kolumn, wyłączając przypisy

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście. Opcja -F / jest użyta domyślnie.

AUTOR
Napisane przez F. Pinarda.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów w ptx proszę wysyłać (po angielsku) na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <http://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <http://www.gnu.org/gethelp/>
Zgłoszenia błędów w tłumaczeniu ptx proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2013 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja ptx jest dostępna w formacie Texinfo. Jeśli programy info i ptx są poprawnie zainstalowane, to polecenie

    info coreutils 'ptx invocation'

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.21 oryginału.